Bug 247145 - net-mgmt/nsca-ng: Update to 1.6 to fix build on 12 and 13
Summary: net-mgmt/nsca-ng: Update to 1.6 to fix build on 12 and 13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://reviews.freebsd.org/D25208
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-06-10 13:42 UTC by Erik Inge Bolsø
Modified: 2020-07-04 18:02 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (alexander)
fernape: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Inge Bolsø 2020-06-10 13:42:05 UTC
net-mgmt/nsca-ng is currently marked broken on FreeBSD 12 and 13. Update to 1.6 from github to fix this. Patch submitted to reviews.freebsd.org.
Comment 1 Erik Inge Bolsø 2020-06-30 10:12:34 UTC
QA:

* Portlint OK (Looks fine)
* Testport OK (Poudriere {11.3,12.1}{amd64,i386} and 13-current)
Comment 2 Kurt Jaeger freebsd_committer 2020-07-04 12:14:19 UTC
Relnotes: https://github.com/weiss/nsca-ng
Comment 3 Kurt Jaeger freebsd_committer 2020-07-04 12:14:34 UTC
Ups: https://github.com/weiss/nsca-ng/blob/master/NEWS
Comment 4 Kurt Jaeger freebsd_committer 2020-07-04 12:15:16 UTC
WWW link in pkg-descr needs to be updated.
Comment 5 commit-hook freebsd_committer 2020-07-04 16:04:35 UTC
A commit references this bug:

Author: fernape
Date: Sat Jul  4 16:03:48 UTC 2020
New revision: 541222
URL: https://svnweb.freebsd.org/changeset/ports/541222

Log:
  net-mgmt/nsca-ng: Update to 1.6

  This is not broken anymore in 12 and 13

  ChangeLog:
  https://github.com/weiss/nsca-ng/blob/master/NEWS#changes-in-release-16-2019-03-19

  Accumulated changes from 1.4:

   * Work around TLSv1.3 PSK bug in (at least) OpenSSL 1.1.1b.
   * Fix static linking against recent OpenSSL versions.
   * Update our copy of libev from version 4.22 to version 4.25. The new release
     provides a few platform compatibilty fixes and small enhancements.
   * Apply a few minor improvements.
   * Include an experimental NSCA-ng client module for Perl.
   * Link against libsystemd instead of libsystemd-daemon when using systemd
     version 210 or newer, where the latter library has been merged into the
     former.
   * Include the systemd.service(5) and systemd.socket(5) files with the release
     tarball.
   * Update our copy of libev from version 4.15 to version 4.22. The new release
     provides a number of bug fixes and small enhancements.

  While here, update WWW in pkg-descr

  PR:	247145
  Submitted by:	knan-bfo@modirum.com
  Reviewed by:	pi, fernape
  Approved by:	alexander@sulfrian.net (maintainer, timeout > 1 month)
  Differential Revision:	https://reviews.freebsd.org/D25208

Changes:
  head/net-mgmt/nsca-ng/Makefile
  head/net-mgmt/nsca-ng/distinfo
  head/net-mgmt/nsca-ng/files/patch-src_common_tls.c
  head/net-mgmt/nsca-ng/pkg-descr
Comment 6 Fernando Apesteguía freebsd_committer 2020-07-04 16:05:16 UTC
Committed with updated WWW.

Thanks!
Comment 7 commit-hook freebsd_committer 2020-07-04 18:01:51 UTC
A commit references this bug:

Author: fernape
Date: Sat Jul  4 18:01:00 UTC 2020
New revision: 541229
URL: https://svnweb.freebsd.org/changeset/ports/541229

Log:
  MFH: r541222

  net-mgmt/nsca-ng: Update to 1.6

  This is not broken anymore in 12 and 13

  ChangeLog:
  https://github.com/weiss/nsca-ng/blob/master/NEWS#changes-in-release-16-2019-03-19

  Accumulated changes from 1.4:

   * Work around TLSv1.3 PSK bug in (at least) OpenSSL 1.1.1b.
   * Fix static linking against recent OpenSSL versions.
   * Update our copy of libev from version 4.22 to version 4.25. The new release
     provides a few platform compatibilty fixes and small enhancements.
   * Apply a few minor improvements.
   * Include an experimental NSCA-ng client module for Perl.
   * Link against libsystemd instead of libsystemd-daemon when using systemd
     version 210 or newer, where the latter library has been merged into the
     former.
   * Include the systemd.service(5) and systemd.socket(5) files with the release
     tarball.
   * Update our copy of libev from version 4.15 to version 4.22. The new release
     provides a number of bug fixes and small enhancements.

  While here, update WWW in pkg-descr

  PR:	247145
  Submitted by:	knan-bfo@modirum.com
  Reviewed by:	pi, fernape
  Approved by:	alexander@sulfrian.net (maintainer, timeout > 1 month)
  Differential Revision:	https://reviews.freebsd.org/D25208

  Approved by:	ports-secteam (blanket, build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/net-mgmt/nsca-ng/Makefile
  branches/2020Q3/net-mgmt/nsca-ng/distinfo
  branches/2020Q3/net-mgmt/nsca-ng/files/patch-src_common_tls.c
  branches/2020Q3/net-mgmt/nsca-ng/pkg-descr
Comment 8 Fernando Apesteguía freebsd_committer 2020-07-04 18:02:40 UTC
MFH to 2020Q3 as suggested by pi@

Thanks!